Request

Response

    Project Roles
    GET

    projects/:project_id/industry_roles

    Retrieves the industry roles for the project. For example, contractor and architect.

    Note that this endpoint is version 2 (v2) - you need to use ../v2/.. in the URI.

    Note that this endpoint is ONLY compatible with BIM 360 projects. It is not compatible with Autodesk Construction Cloud (ACC) projects. For more information about compatibility between between BIM 360 and ACC, see the Compatibility section.

    Resource Information

    Method and URI (US)
    GET
    https://developer.api.autodesk.com/hq/v2/accounts/:account_id/projects/:project_id/industry_roles
    Method and URI (Legacy)
    GET
    https://developer.api.autodesk.com/hq/v2/regions/eu/accounts/:account_id/projects/:project_id/industry_roles
    Authentication Context
    user context optional
    Required OAuth Scopes
    account:read
    Data Formats
    JSON

    Request

    Headers

    Authorization
    yes
    Must be Bearer <token>, where <token> is obtained via either a two-legged or three-legged OAuth flow.
    Content-Type
    yes
    Must be application/json
    Region
    no
    Specifies the region where the service is located. Possible values: US, EMEA. For the full list of supported regions, see the Regions page.

    Request

    URI Parameters

    account_id
    string
    The account ID. This corresponds to hub ID in the Data Management API. To convert a hub ID into an account ID you need to remove the “b." prefix. For example, a hub ID of b.c8b0c73d-3ae9 translates to an account ID of c8b0c73d-3ae9.
    project_id
    string
    The project ID. This corresponds to project ID in the Data Management API. To convert a project ID in the Data Management API into a project ID in the BIM 360 API you need to remove the “b." prefix. For example, a project ID of b.a4be0c34a-4ab7 translates to a project ID of a4be0c34a-4ab7.

    Response

    HTTP Status Code Summary

    200
    OK
    The request has succeeded.
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax.
    403
    Forbidden
    Unauthorized
    404
    Not Found
    The resource cannot be found.
    409
    Conflict
    The request could not be completed due to a conflict with the current state of the resource.
    422
    Unprocessable Entity
    The request was unable to be followed due to restrictions.
    500
    Internal Server Error
    An unexpected error occurred on the server.

    Response

    Body Structure (200)

    A successful response returns an array of JSON objects with the following attributes:

    Expand all
    id
    string
    The industry role ID.
    name
    string
    The name of the industry role.
    project_id
    string
    The project ID.
    services
    object

    project_administration
    object

    access_level
    enum:string
    The default access level assigned to the user for the industry role for the Project Administration service.
    Possible values: admin.
    document_management
    object

    access_level
    enum:string
    The default access level assigned to the user for the industry role for the Document Management service.
    Possible values: admin, user
    member_group_id
    string
    The Autodesk ID of the industry role; used to identify which role is assigned to an RFI or Issue.

    Example

    Successful Retrieval of Industry Roles (200)

    Request

    curl -v 'https://developer.api.autodesk.com/hq/v2/accounts/9dbb160e-b904-458b-bc5c-ed184687592d/projects/2c9958f4-722e-47cf-bd6e-6d0a7b20d50e/industry_roles' \
      -H 'Content-Type: application/json' \
      -H 'Authorization: Bearer XZvCJNhdxESsBRIH28MfLf2hKL5O'
    

    Response

    [
      {
        "id": "5502171c-9e38-427e-a49a-40fa6821dec4",
        "project_id": "2c9958f4-722e-47cf-bd6e-6d0a7b20d50e",
        "name": "Contractor",
        "services": {
          "project_administration": {
          "access_level": "admin"
        },
          "document_management": {
          "access_level": "admin"
          }
        },
        "member_group_id": "768654"
      }
    ]
    
    Show More